import java.util.Arrays;
import java.util.List;

/**
 * Diese Klasse verarbeitet Befehle vom Typ
 * {@link Befehl Befehl} und löst die dazu 
 * passenden Aktionen aus.
 * 
 * @author tebe
 *
 */
public class Kontroller {
	/**
	 * Verarbeite einen gegebenen Befehl
	 * 
	 * @param befehl
	 *            Der zu verarbeitende Befehl.
	 * @return 'false', wenn ein Abbruchbefehl verarbeitet wurde
	 */
	public boolean verarbeiteBefehl(Befehl befehl) {
		boolean macheWeiter = true;
		String befehlswortString = befehl.gibBefehlswort();
		if (Arrays.asList(Befehlswort.gibBefehlsworteAlsText().split(" ")).contains(befehlswortString)) {
			if (befehlswortString.equals(Befehlswort.GEHE.getBefehl())) {
				System.out.println("Befehl LAUFE " + befehl.gibZweitesWort() + " wird ausgefuehrt");
			} else if (befehlswortString.equals(Befehlswort.HILFE.getBefehl())) {
				System.out.println("Gueltige Befehle: ");
				for(Befehlswort befehlswort : Befehlswort.values()) {
					System.out.println(befehlswort.getBefehl());
				}
			} else if (befehlswortString.equals(Befehlswort.BEENDEN.getBefehl())) {
				System.out.println("Befehl BEENDEN wird ausgefuehrt.");
				macheWeiter = false;
			} else {
				System.out.println("Befehlswort ohne zugehoerige Aktion: Abbruch.");
				macheWeiter = false;
			}
		} else {
			System.out.println("Ich weiss nicht, was Sie meinen...");
		}
		return macheWeiter;
	}
}
